Token payroll
Get Org Token Types
Returns the org's token types, optionally filtered by payroll cycle type.
GEThttps://api.toku.com/stablecoin-payroll/get-org-token-types
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-org-token-types?orgID=%3CorgID%3E' \
--header 'Authorization: Bearer <token>'200 response
{
"tokenTypes": [
{
"tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"currencyCode": "string",
"icon": "string",
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"enabledForPayrollType": "ON_CYCLE",
"networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"address": "string",
"decimalPlaces": 0,
"coinMarketCapID": "string",
"createdAt": "2026-01-01T00:00:00Z",
"isTokenEnabled": true,
"isContractorDefault": true,
"defaultTokenSlug": "string",
"catalogTokenDeploymentID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"Network": {
"networkID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"orgID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"icon": "string",
"tokenType": "ERC20",
"isNetworkEnabled": true,
"chainType": "EVM",
"meshConnectNetworkID": "string",
"evmChainID": 0,
"multiSendCallOnlyAddress": "string",
"safeSingletonAddress": "string",
"safeFactoryAddress": "string",
"safeAppBaseUrl": "string",
"safeTxServiceUrl": "string",
"blockExplorerBaseUrl": "string",
"eipsName": "string",
"aleoTransferVisibility": "PUBLIC",
"defaultNetworkSlugUrl": "string",
"catalogChainID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}
}
]
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
orgIDstringrequiredAllowed: 1 to 200 characters
cycleTypestringAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
Response
200Successful response
tokenTypesobject[]requiredShow child attributes
tokenTypeIDstring<uuid>requirednamestringrequiredcurrencyCodestringrequirediconstring | nullrequiredorgIDstring<uuid>requiredenabledForPayrollTypestring | nullrequirednetworkIDstring<uuid>requiredaddressstring | nullrequireddecimalPlacesinteger | nullrequiredcoinMarketCapIDstring | nullrequiredcreatedAtstring<date-time>requiredisTokenEnabledboolean | nullrequiredisContractorDefaultbooleanrequireddefaultTokenSlugstring | nullrequiredcatalogTokenDeploymentIDstring | null<uuid>requiredNetworkobject | nullrequiredShow child attributes
networkIDstring<uuid>requiredorgIDstring<uuid>requirednamestringrequirediconstring | nullrequiredtokenTypestringrequiredAvailable options: ERC20, NATIVE
isNetworkEnabledboolean | nullrequiredchainTypestring | nullrequiredmeshConnectNetworkIDstring | nullrequiredevmChainIDinteger | nullrequiredmultiSendCallOnlyAddressstring | nullrequiredsafeSingletonAddressstring | nullrequiredsafeFactoryAddressstring | nullrequiredsafeAppBaseUrlstring | nullrequiredsafeTxServiceUrlstring | nullrequiredblockExplorerBaseUrlstring | nullrequiredeipsNamestring | nullrequiredaleoTransferVisibilitystring | nullrequireddefaultNetworkSlugUrlstring | nullrequiredcatalogChainIDstring | null<uuid>required400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits